#include <bits/stdc++.h>

using namespace std;

long long n,a[100009],res,last1,last2,h,pr[100009],q,L,R;
string k;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cin>>k;
    for(int i=1;i<k.size();i++){
        if(k[i]<k[i-1]) a[i+1]=1;
    }
    for(int i=1;i<=k.size();i++) pr[i]=pr[i-1]+a[i];
    cin>>q;
    for(int i=1;i<=q;i++){
        cin>>L>>R;
        cout<<pr[R]-pr[L]+1<<endl;
    }
    return 0;
}
